Qt 5.9 | Qt 3D | C++ Classes | QNodeId

Qt 5.9.3 Reference Documentation

# QNodeId Class

(Qt3DCore::QNodeId)

Uniquely identifies a QNode More...

Header: | #include <Qt3DCore/QNodeId>
qmake: | QT += 3dcore

- List of all members, including inherited members

## Public Functions

| QNodeId()
quint64 | id() const
bool | isNull() const
| operator bool() const
bool | operator!=(QNodeId other) const
bool | operator<(QNodeId other) const
bool | operator==(QNodeId other) const
bool | operator>(QNodeId other) const

## Static Public Members

QNodeId | createId()

## Related Non-Members

uint | qHash(QNodeId id, uint seed = 0)

## Detailed Description

Uniquely identifies a QNode

## Member Function Documentation

### QNodeId::QNodeId()

Default constructs an instance of QNodeId.

### `[static]` QNodeId QNodeId::createId()

Returns node id.

### quint64 QNodeId::id() const

Returns TODO

### bool QNodeId::isNull() const

Returns TODO

### QNodeId::operator bool() const

TODO

### bool QNodeId::operator!=(QNodeId other) const

Returns `true` if `this` != other.

### bool QNodeId::operator<(QNodeId other) const

Returns `true` if `this` < other.

### bool QNodeId::operator==(QNodeId other) const

Returns `true` if `this` == other.

### bool QNodeId::operator>(QNodeId other) const

Returns `true` if `this` > other.

## Related Non-Members

### uint Qt3DCore::qHash(QNodeId id, uint seed = 0)

Returns hash of node with id and optional seed.